KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Reconstrói a 'cache' de configurações do sistema.

SINTAXE

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIçãO

O kbuildsyscoca4, como parte das ferramentas da linha de comandos do KDE, garante o funcionamento correcto do KDE ao ler todos os ficheiros .desktop, .xml e .protocol para construir uma base de dados binária.

O KDE em si acede a esta base de dados, durante a sua operação, para oferecer as informações de configuração que um programa necessita para executar.

Esta ferramenta faz parte do 'ksycoca4', que significa KDE System Configuration Cache ('Cache' de Configuração do Sistema KDE)

OPçõES

--nosignal
    Não enviar sinais às aplicações para actualizar

--noincremental
    Desactivar a actualização incremental, reler tudo

--checkstamps
    Verificar a data/hora do ficheiros

--nocheckfiles
    Desactivar a verificação de ficheiros (perigoso)

--global
    Criar uma base de dados global

--menutest
    Efectuar apenas a execução do teste de geração do menu

--track id-menu
    Seguir o id do menu para depuração

--help
    Mostra a ajuda acerca das opções.

--help-qt
    Mostra as opções específicas do Qt.

--help-kde
    Mostra as opções específicas do KDE

--help-all
    Mostrar todas as opções

--author
    Mostra informações sobre o autor.

-v , --version
    Mostra a versão.

--license
    Mostra informações sobre a licença

UTILIZAçãO

Uma forma normal de executar este programa é simplesmente indicando o seguinte comando na linha de comandos kbuildsycoca4

FICHEIROS

/var/tmp/kde-$USER/ksycoca4
    A pasta por omissão onde são guardados os ficheiros da 'cache'.

VARIáVEIS DE AMBIENTE

$KDEDIRS
    Indica que pastas fazem parte das instalações do KDE

$KDESYCOCA
    Indica a localização do ficheiro de base de dados do 'sycoca'

VEJA TAMBéM

kdeinit4

PROBLEMAS

Existem provavelmente bastantes erros. Use o bugs.kde.org[1] para os comunicar.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org